Log4j Version 1.2.7: Class FallbackErrorHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.varia
Class FallbackErrorHandler

    java.lang.Object
      |
      +--org.apache.log4j.varia.FallbackErrorHandler

All Implemented Interfaces:
  ErrorHandler, OptionHandler

public class FallbackErrorHandler
extends Object
implements ErrorHandler

The `FallbackErrorHandler` implements the ErrorHandler interface such that a secondary appender may be specified. This secondary appender takes over if the primary appender fails for whatever reason.

The error message is printed on `System.err`, and logged in the new secondary appender.

Author:
  Ceki Gücü

Constructor Summary
`FallbackErrorHandler()`

Method Summary
`void` | `activateOptions()` No options to activate.
`void` | `error(String message)` Print a the error message passed as parameter on `System.err`.
`void` | `error(String message, Exception e, int errorCode)` Prints the message and the stack trace of the exception on `System.err`.
`void` | `error(String message, Exception e, int errorCode, LoggingEvent event)` Prints the message and the stack trace of the exception on `System.err`.
`void` | `setAppender(Appender primary)` The appender to which this error handler is attached.
`void` | `setBackupAppender(Appender backup)` Set the backup appender.
`void` | `setLogger(Logger logger)` Adds the logger passed as parameter to the list of loggers that we need to search for in case of appender failure.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FallbackErrorHandler

    public FallbackErrorHandler()

Method Detail

### setLogger

    public void setLogger(Logger logger)

  Adds the logger passed as parameter to the list of loggers that we need to search for in case of appender failure.
  Specified by:
    `setLogger` in interface `ErrorHandler`
  Following copied from interface: `org.apache.log4j.spi.ErrorHandler`
  Parameters:
    `logger` - One of the loggers that will be searched for the failing appender in view of replacement.

### activateOptions

    public void activateOptions()

  No options to activate.
  Specified by:
    `activateOptions` in interface `OptionHandler`

### error

    public void error(String message,
                      Exception e,
                      int errorCode)

  Prints the message and the stack trace of the exception on `System.err`.
  Specified by:
    `error` in interface `ErrorHandler`

### error

    public void error(String message,
                      Exception e,
                      int errorCode,
                      LoggingEvent event)

  Prints the message and the stack trace of the exception on `System.err`.
  Specified by:
    `error` in interface `ErrorHandler`
  Following copied from interface: `org.apache.log4j.spi.ErrorHandler`
  Parameters:
    `message` - The message assoicated with the error.
    `e` - The Exption that was thrown when the error occured.
    `errorCode` - The error code associated with the error.
    `event` - The logging event that the failing appender is asked to log.

### error

    public void error(String message)

  Print a the error message passed as parameter on `System.err`.
  Specified by:
    `error` in interface `ErrorHandler`

### setAppender

    public void setAppender(Appender primary)

  The appender to which this error handler is attached.
  Specified by:
    `setAppender` in interface `ErrorHandler`

### setBackupAppender

    public void setBackupAppender(Appender backup)

  Set the backup appender.
  Specified by:
    `setBackupAppender` in interface `ErrorHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.